using System;
using System.Collections.Generic;
using System.Text;
using iTunesLib;

namespace iTunesListOut.Iterator
{
    /// <summary>
    /// iTunesCűȃf[^IuWFNg
    /// </summary>
    class iTunesAggregate : IAggregate
    {
        private IITTrack mTrack;
        private int mTrackNo;

        public iTunesAggregate(IITTrack track,int tracNo)
        {
            mTrack = track;
            mTrackNo = tracNo;
        }	

        #region IAggregate o

        public string[] GetData()
        {
            if (mTrack == null)
                return null;

            string[] row = new string[5];
            row[0] = mTrackNo.ToString();
            row[1] = mTrack.Name;
            row[2] = mTrack.Artist;
            row[3] = mTrack.Album;
            row[4] = mTrack.PlayedDate.ToShortTimeString();

            return row;
        }

        #endregion
    }
}
