using System;
using System.Collections.Generic;
using System.Text;
using iTunesListOut.Iterator;
using iTunesListOut.Plan;

namespace iTunesListOut.Output
{
    /// <summary>
    /// r_[p^[Director
    /// </summary>
    class Director
    {
        private Builder mBuilder;

        /// <summary>
        /// fBN^[QƂv揑
        /// </summary>
        private IPlan mPlan;

        public Director(Builder builder,IPlan plan)
        {
            mBuilder = builder;
            mPlan = plan;
        }


        /// <summary>
        /// Čʂ̕Ԃ
        /// </summary>
        /// <returns>ʂ̕</returns>
        /// <remarks>ʂ͎ۂBuildNXɂĂ˕ςBHTMLBuilderȂHTMLt@C̃pX</remarks>
        public string Constract()
        {
            mBuilder.MakeTitle(mPlan.GetTitle());
            mBuilder.MakeHeader(mPlan.GetHeader());

            IIterator iter = mPlan.GetIterator();

            IAggregate row = null;
            row = iter.GetNext();

            while (row != null)
            {
                mBuilder.MakeRow(row.GetData());
                row = iter.GetNext();
            }

            mBuilder.MakeFooter();

            return mBuilder.GetResult();
        }
    }
}

