using System;
using System.Collections;
using System.Text;
using iTunesLib;
using System.Diagnostics;

namespace iTunesListOut.Iterator
{
    /// <summary>
    /// iTunesCu𐔂グCe[^[
    /// </summary>
    class iTunesIterator : IIterator
    {
        private iTunesAppClass mApp;
        private IITTrackCollection mTracks;
        private int mCurrentTrackNo;
        private int mMaxTrackNo;

        #region IIterator o

        public iTunesIterator()
        {
            mApp = new iTunesAppClass();
            mTracks = mApp.SelectedTracks;
            mCurrentTrackNo = 0;
            mMaxTrackNo = 0;

            if (mTracks == null || mTracks.Count == 0)
                throw new Exception("iTunesŋȂIĂ܂");

            mMaxTrackNo = mTracks.Count;
        }

        public IAggregate GetNext()
        {
            try
            {
                //JEgAbv
                mCurrentTrackNo += 1;

                if (mCurrentTrackNo <= mMaxTrackNo)
                {
                    //ĐԒʂɏo͂
                    IITTrack itrack = mTracks.get_ItemByPlayOrder(mCurrentTrackNo);
                    iTunesAggregate track = new iTunesAggregate(itrack, mCurrentTrackNo);
                    return track;
                }
                else
                {
                    return null;
                }

            }
            catch (Exception)
            {
                Debug.Fail("iTunes쒆ɃG[");
                throw;
            }

        }

        #endregion
    }
}
