using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace iTunesListOut
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void btnFileSelect_Click(object sender, EventArgs e)
        {
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                txtFilePath.Text = saveFileDialog1.FileName;
            }

        }

        private void btnExecute_Click(object sender, EventArgs e)
        {
            this.Cursor = Cursors.WaitCursor;

            iTunesOutCore core = new iTunesOutCore();
            if (core.OutputList(txtFilePath.Text) == true)
            {
                MessageBox.Show("o͂܂");
            }
            else
            {
                MessageBox.Show("o͂Ɏs܂\n" + core.ErrorMessage);
            }

            this.Cursor = Cursors.Default;

        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            txtFilePath.Text =  
                Path.Combine(
                    Environment.GetFolderPath(Environment.SpecialFolder.Desktop),
                    @"ituneslist.html");
        }
    }
}